Bug 1650973 - Unable to list Bluetooth device with Intel 9260
Summary: Unable to list Bluetooth device with Intel 9260
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Don Zickus
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-18 11:16 UTC by evanslify
Modified: 2019-11-27 19:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:57:32 UTC


Attachments (Terms of Use)
btsnoop (15.77 KB, application/octet-stream)
2018-11-18 11:16 UTC, evanslify
no flags Details

Description evanslify 2018-11-18 11:16:16 UTC
Created attachment 1506914 [details]
btsnoop

Description of problem:
Trying to pair with my Plantronics Legend. It will broadcast if entered pairing mode.
By using Bluetooth GUI (gnome-control-center bluetooth), it doesn't show the device while using its pairing mode. But it doesn't show up 

But `hcitool scan` shows the device correctly. Moreover, if having Gnome Control Center opened, and running `hcitool scan` in the background, the device shows up in the list, suddenly.

I'm using Intel AC 9260. This works well with Killer 1535 though.
Also, this works under Windows 10 (Live USB).

Version-Release number of selected component (if applicable):

Bluez 5.5, Fedora 29, Kernel 4.18.17.

How reproducible:

Every time.

Steps to Reproduce:

1. Trying to pair with the headset
2. It doesn't show up in the list, but would show up after running `hcitool scan`

Actual results:

It doesn't show up in the list, but would show up after running `hcitool scan`

Expected results:

It shall show up without other intervention

Additional info:

This behaviour would also appear while using bluetoothctl instead of gnome control center. See attachments for btsnoop dump.

Comment 1 Ben Cotton 2019-10-31 20:29:22 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 19:57:32 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.